unit Getdsc1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls,
  calmis16, calcon16, calsrv16;

type
  TForm1 = class(TForm)
    ButtonGetDesc: TButton;
    Memo1: TMemo;
    Edit1: TEdit;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure GetDescription(Sender: TObject);
    procedure ButtonGetDescClick(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1:   TForm1;
  ccode:   NWCCODE;
  myconn:  NWCONN_HANDLE;

implementation

{$R *.DFM}

procedure TForm1.GetDescription(Sender: TObject);
VAR
   companyName,
   revision,
   revisionDate,
   copyrightNotice:   pnstr8;
begin
   companyName     := pnstr8(StrAlloc(128));
   revision        := pnstr8(StrAlloc(128));
   revisionDate    := pnstr8(StrAlloc(128));
   copyrightNotice := pnstr8(StrAlloc(128));

   ccode :=  NWGetFileServerDescription(myconn, companyName,
             revision, revisionDate, copyrightNotice);

   Memo1.Clear;
   Memo1.Lines.Add(StrPas(PChar(companyName)));
   Memo1.Lines.Add(StrPas(PChar(revision)));
   Memo1.Lines.Add(StrPas(PChar(revisionDate)));
   Memo1.Lines.Add(StrPas(PChar(copyrightNotice)));
end;

procedure TForm1.FormCreate(Sender: TObject);
VAR x:    nPtr;
begin
   x     := nil;
   ccode := NWCallsInit(x, x);
end;

procedure TForm1.ButtonGetDescClick(Sender: TObject);
begin
   GetDescription(Sender);
end;

procedure TForm1.Edit1Change(Sender: TObject);
VAR
    srv:  String;
begin
   if Length(Edit1.Text)=0 then exit;
   srv := UpperCase(Edit1.Text)+#0;
   ccode := NWGetConnectionHandle(@srv[1], 0, myconn, nil);
   ButtonGetDesc.Enabled := (cCode=0);
   if cCode>0 then Memo1.Clear;
end;

end.
